| QxOrm 1.2.4 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Static Public Member Functions | Protected Attributes | Private Member Functions | Static Private Member Functions | Friends
qx::QxClassX Class Reference
QxRegister : QxOrm library register context used by introspection engine (class, function, property...)

qx::QxClassX : list of all classes registered into QxOrm context (this container is a singleton) More...

`#include <QxClassX.h>`

Inheritance diagram for qx::QxClassX:

List of all members.

## Classes
struct | invoke_default
struct | invoke_ptr
## Public Types
typedef IxFunction::type_any_params | type_any_params
typedef boost::function < QString(const QVariant &, int, const unsigned int)> | type_fct_save_qvariant_usertype
typedef boost::function < QVariant(const QString &, int, const unsigned int)> | type_fct_load_qvariant_usertype
## Static Public Member Functions
static boost::any | create (const QString &sKey)
static IxClass * | getClass (const QString &sKey)
static IxDataMemberX * | getDataMemberX (const QString &sKey)
static IxFunctionX * | getFctMemberX (const QString &sKey)
static IxDataMember * | getDataMember (const QString &sClassKey, const QString &sDataKey, bool bRecursive=true)
static IxFunction * | getFctMember (const QString &sClassKey, const QString &sFctKey, bool bRecursive=true)
static bool | implementIxPersistable (const QString &sKey, bool bTraceIfFalse=true)
static QxCollection< QString, IxClass * > * | getAllClasses ()
static void | registerAllClasses ()
static QString | dumpAllClasses ()
static QString | dumpSqlSchema ()
static QHash< QString, QString > * | getAllValidatorMessage ()
static QHash< QString, QString > * | getAllSqlTypeByClassName ()
static QString | getSqlTypeByClassName (const QString &sClassName)
static const std::type_info & | getTypeInfo (const QString &sClassName)
static type_fct_save_qvariant_usertype | getFctSaveQVariantUserType ()
static type_fct_load_qvariant_usertype | getFctLoadQVariantUserType ()
static void | setFctSaveQVariantUserType (type_fct_save_qvariant_usertype fct)
static void | setFctLoadQVariantUserType (type_fct_load_qvariant_usertype fct)
template<class U >
static qx_bool | invoke (const QString &sClassKey, const QString &sFctKey, U &pOwner, const QString &params=QString(), boost::any *ret=NULL)
template<class U >
static qx_bool | invoke (const QString &sClassKey, const QString &sFctKey, U &pOwner, const type_any_params &params, boost::any *ret=NULL)
## Protected Attributes
QxCollection< QString, IxClass * > | m_lstClass
| Collection of classes registered into QxOrm context.
QHash< QString, QString > | m_lstSqlTypeByClassName
| List of SQL types by class name.
QHash< QString, QString > | m_lstValidatorMessage
| List of validator message when an invalid value is detected.
type_fct_save_qvariant_usertype | m_fctSaveQVariantUserType
| Serialization of QVariant UserType => function to save a QVariant UserType (cf. QxSerialize_QVariant.cpp file)
type_fct_load_qvariant_usertype | m_fctLoadQVariantUserType
| Serialization of QVariant UserType => function to load a QVariant UserType (cf. QxSerialize_QVariant.cpp file)
## Private Member Functions
| QxClassX ()
virtual | ~QxClassX ()
QxCollection< QString, IxClass * > * | getAll ()
IxClass * | get (const QString &sKey) const
bool | exist (const QString &sKey) const
bool | insert (const QString &sKey, IxClass *pClass)
bool | remove (const QString &sKey)
void | clear ()
void | initSqlTypeByClassName ()
void | initValidatorMessage ()
const std::type_info & | typeInfo (const QString &sKey) const
## Static Private Member Functions
static qx_bool | invokeVoidPtr (const QString &sClassKey, const QString &sFctKey, void *pOwner, const QString &params=QString(), boost::any *ret=NULL)
static qx_bool | invokeVoidPtr (const QString &sClassKey, const QString &sFctKey, void *pOwner, const type_any_params &params, boost::any *ret=NULL)
static bool | isValid_DataMember (IxDataMember *p)
static bool | isValid_SqlRelation (IxDataMember *p)
## Friends
class | QxSingleton< QxClassX >
class | IxClass

## Detailed Description

qx::QxClassX : list of all classes registered into QxOrm context (this container is a singleton)

Definition at line 63 of file QxClassX.h.

## Member Typedef Documentation

typedef IxFunction::type_any_params qx::QxClassX::type_any_params

Definition at line 71 of file QxClassX.h.

typedef boost::function<QVariant (const QString &, int, const unsigned int)> qx::QxClassX::type_fct_load_qvariant_usertype

Definition at line 73 of file QxClassX.h.

typedef boost::function<QString (const QVariant &, int, const unsigned int)> qx::QxClassX::type_fct_save_qvariant_usertype

Definition at line 72 of file QxClassX.h.

## Constructor & Destructor Documentation

qx::QxClassX::QxClassX | ( |  | ) | `[private]`

virtual qx::QxClassX::~QxClassX | ( |  | ) | `[private, virtual]`

## Member Function Documentation

void qx::QxClassX::clear | ( |  | ) | `[private]`

static boost::any qx::QxClassX::create | ( | const QString & | sKey | ) | `[static]`

static QString qx::QxClassX::dumpAllClasses | ( |  | ) | `[static]`

static QString qx::QxClassX::dumpSqlSchema | ( |  | ) | `[static]`

bool qx::QxClassX::exist | ( | const QString & | sKey | ) | const`[private]`

IxClass* qx::QxClassX::get | ( | const QString & | sKey | ) | const`[private]`

QxCollection<QString, IxClass *>* qx::QxClassX::getAll | ( |  | ) | `[private]`

static QxCollection<QString, IxClass *>* qx::QxClassX::getAllClasses | ( |  | ) | `[static]`

static QHash<QString, QString>* qx::QxClassX::getAllSqlTypeByClassName | ( |  | ) | `[inline, static]`

Definition at line 114 of file QxClassX.h.

static QHash<QString, QString>* qx::QxClassX::getAllValidatorMessage | ( |  | ) | `[inline, static]`

Definition at line 113 of file QxClassX.h.

static IxClass* qx::QxClassX::getClass | ( | const QString & | sKey | ) | `[static]`

static IxDataMember* qx::QxClassX::getDataMember | ( | const QString & | sClassKey,
|  | const QString & | sDataKey,
|  | bool | bRecursive = `true`
| ) |  | `[static]`

static IxDataMemberX* qx::QxClassX::getDataMemberX | ( | const QString & | sKey | ) | `[static]`

static type_fct_load_qvariant_usertype qx::QxClassX::getFctLoadQVariantUserType | ( |  | ) | `[inline, static]`

Definition at line 119 of file QxClassX.h.

static IxFunction* qx::QxClassX::getFctMember | ( | const QString & | sClassKey,
|  | const QString & | sFctKey,
|  | bool | bRecursive = `true`
| ) |  | `[static]`

static IxFunctionX* qx::QxClassX::getFctMemberX | ( | const QString & | sKey | ) | `[static]`

static type_fct_save_qvariant_usertype qx::QxClassX::getFctSaveQVariantUserType | ( |  | ) | `[inline, static]`

Definition at line 118 of file QxClassX.h.

static QString qx::QxClassX::getSqlTypeByClassName | ( | const QString & | sClassName | ) | `[inline, static]`

Definition at line 115 of file QxClassX.h.

static const std::type_info& qx::QxClassX::getTypeInfo | ( | const QString & | sClassName | ) | `[inline, static]`

Definition at line 116 of file QxClassX.h.

static bool qx::QxClassX::implementIxPersistable | ( | const QString & | sKey,
|  | bool | bTraceIfFalse = `true`
| ) |  | `[static]`

void qx::QxClassX::initSqlTypeByClassName | ( |  | ) | `[private]`

void qx::QxClassX::initValidatorMessage | ( |  | ) | `[private]`

bool qx::QxClassX::insert | ( | const QString & | sKey,
|  | IxClass * | pClass
| ) |  | `[private]`

template<class U >

static qx_bool qx::QxClassX::invoke | ( | const QString & | sClassKey,
|  | const QString & | sFctKey,
|  | U & | pOwner,
|  | const QString & | params = `QString()`,
|  | boost::any * | ret = `NULL`
| ) |  | `[inline, static]`

Definition at line 124 of file QxClassX.h.

template<class U >

static qx_bool qx::QxClassX::invoke | ( | const QString & | sClassKey,
|  | const QString & | sFctKey,
|  | U & | pOwner,
|  | const type_any_params & | params,
|  | boost::any * | ret = `NULL`
| ) |  | `[inline, static]`

Definition at line 132 of file QxClassX.h.

static qx_bool qx::QxClassX::invokeVoidPtr | ( | const QString & | sClassKey,
|  | const QString & | sFctKey,
|  | void * | pOwner,
|  | const QString & | params = `QString()`,
|  | boost::any * | ret = `NULL`
| ) |  | `[static, private]`

static qx_bool qx::QxClassX::invokeVoidPtr | ( | const QString & | sClassKey,
|  | const QString & | sFctKey,
|  | void * | pOwner,
|  | const type_any_params & | params,
|  | boost::any * | ret = `NULL`
| ) |  | `[static, private]`

static bool qx::QxClassX::isValid_DataMember | ( | IxDataMember * | p | ) | `[static, private]`

static bool qx::QxClassX::isValid_SqlRelation | ( | IxDataMember * | p | ) | `[static, private]`

static void qx::QxClassX::registerAllClasses | ( |  | ) | `[static]`

bool qx::QxClassX::remove | ( | const QString & | sKey | ) | `[private]`

static void qx::QxClassX::setFctLoadQVariantUserType | ( | type_fct_load_qvariant_usertype | fct | ) | `[inline, static]`

Definition at line 121 of file QxClassX.h.

static void qx::QxClassX::setFctSaveQVariantUserType | ( | type_fct_save_qvariant_usertype | fct | ) | `[inline, static]`

Definition at line 120 of file QxClassX.h.

const std::type_info& qx::QxClassX::typeInfo | ( | const QString & | sKey | ) | const`[private]`

## Friends And Related Function Documentation

friend class IxClass`[friend]`

Definition at line 67 of file QxClassX.h.

friend class QxSingleton< QxClassX >`[friend]`

Definition at line 66 of file QxClassX.h.

## Member Data Documentation

type_fct_load_qvariant_usertype qx::QxClassX::m_fctLoadQVariantUserType`[protected]`

Serialization of QVariant UserType => function to load a QVariant UserType (cf. QxSerialize_QVariant.cpp file)

Definition at line 81 of file QxClassX.h.

type_fct_save_qvariant_usertype qx::QxClassX::m_fctSaveQVariantUserType`[protected]`

Serialization of QVariant UserType => function to save a QVariant UserType (cf. QxSerialize_QVariant.cpp file)

Definition at line 80 of file QxClassX.h.

QxCollection<QString, IxClass *> qx::QxClassX::m_lstClass`[protected]`

Collection of classes registered into QxOrm context.

Definition at line 77 of file QxClassX.h.

QHash<QString, QString> qx::QxClassX::m_lstSqlTypeByClassName`[protected]`

List of SQL types by class name.

Definition at line 78 of file QxClassX.h.

QHash<QString, QString> qx::QxClassX::m_lstValidatorMessage`[protected]`

List of validator message when an invalid value is detected.

Definition at line 79 of file QxClassX.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxRegister/QxClassX.h